EC_LOG_NAME(3)

NAME
ec_log_name - Return the log name associated with the log type identifier.

SYNOPSIS
#include <ecoli/log.h>

const char * ec_log_name(
    int  type   /* The log type identifier. */
);

RETURN VALUE

The name associated with the log type, or "unknown". It always returns a valid string (never NULL).

SEE ALSO

ec_log_fct_register(3), ec_log_level_set(3), ec_vlog(3), ec_log_level_get(3), ec_log(3), ec_log_default_cb(3), ec_log_type_register(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.